//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//メニュー情報を配列に格納します。
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function makeEmbeddedMenu(strTitle, strXML){
  strXML = new String(strXML);
		strXML = strXML.substring(0,strXML.length-1);
		//取得したメニュー情報を配列に格納します。
		var strMenu = strXML.split(";");
		var strMenuData;
		var MenuName = new Array();
		var MenuURL = new Array();
		var Target = new Array();
		var WinWidth = new Array();
		var WinHeight = new Array();

		for(i=0;i<strMenu.length;i++){
			//メニューデータを1レコードづつ配列に格納します。
			strMenuData = strMenu[i].split("$");
			MenuName[i] = strMenuData[0];
			MenuURL[i] = strMenuData[1];
			Target[i] = strMenuData[2];
			WinWidth[i] = strMenuData[3];
			WinHeight[i] = strMenuData[4];
		}

		//メニューリストを設定します。
		emAddMenus(strTitle, MenuName, MenuURL, Target, WinWidth, WinHeight);
	}
	
	function emAddMenus(strTitle, MenuName, MenuURL, Target, WinWidth, WinHeight) {

		 var strHTML = "<div style='padding:2px;border-bottom:1px solid #808080;'>" + unescape(strTitle) + "の</div>";

			for (i=0;i<MenuName.length;i++){
				//--------------------------------------
				//ウィンドウサイズを決定します。
				//--------------------------------------
				var strWidth = "";
				var strHeight = "";
				var strResizeMax = "";

				//サイズ指定なしの場合
				if ( WinWidth[i] == "-1" && WinHeight[i] == "-1" )
				{
					strWidth = "800";
					strHeight = "500";
					strResizeMax = "";
				}

				//最大化の場合
				else if ( WinWidth[i] == "0" && WinHeight[i] == "0" )
				{
					//学習開始以外のメニューの場合
					if (MenuURL[i].indexOf("StartLearnServlet") == -1 )
					{
						strWidth = "800";
						strHeight = "600";
						strResizeMax = "";
					}
					//学習開始の場合
					else
					{
						strWidth = screen.availWidth;
						strHeight = screen.availHeight;
						strResizeMax = "objLoWindow.resizeTo(screen.availWidth,screen.availHeight);";
					}
				}

				//サイズ指定の場合
				else
				{
					//学習開始以外のメニューの場合
					if (MenuURL[i].indexOf("StartLearnServlet") == -1 )
					{
						strWidth = "800";
						strHeight = "600";
					}
					//学習開始の場合
					else
					{
						strWidth = WinWidth[i];
						strHeight = WinHeight[i];
					}
					strResizeMax = "";
				}

				//メニューの追加
				if(Target[i]=='xmo'){
					strHTML += "<div style=\"padding:2px;\"><a href=\"javascript:var objLoWindow=window.parent.parent.parent.open('" + MenuURL[i] + "','xmo','top=0,left=0,width=" + strWidth + ",height=" + strHeight + ",resizable=yes,scrollbars=yes');" + strResizeMax  + "\">" + MenuName[i] + "</a></div>\n";
				}else if(Target[i]=='Function'){
					strHTML += "<div style=\"padding:2px;\"><a href=\"" + MenuURL[i] + "\">" + MenuName[i] + "</a></div>\n";
				}else{
					strHTML += "<div style=\"padding:2px;\"><a href=\"javascript:var objLoWindow=openWindow('" + MenuURL[i] + "','" + Target[i] + "','"+ strWidth +"','"+strHeight + "');" + strResizeMax + "\">" + MenuName[i] + "</a></div>\n";
				}
		 }
		 var objMenu = document.getElementById("emMenu")
		 if (objMenu != null) {
			 objMenu.style.visibility = "visible";
			 objMenu.innerHTML = strHTML;
		 }
	}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ポップアップメニューによるウィンドウオープン処理を行う。
// 画面にフォーカスが戻った時のイベント処理の設定を行う。
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function openWindow(MenuURL, Target, strWidth, strHeight) {
	var objLoWindow=window.parent.parent.parent.open(MenuURL, Target,"top=0,left=0,width=" + strWidth + ",height=" + strHeight + ",resizable=yes,scrollbars=yes");

	// フォーカスイベントの設定
	setTimeout( "onfocus = reloadWindow", 0 );

	return objLoWindow;
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 画面をリロードする
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reloadWindow() {
	var url = document.URL;
	document.location.href = url;
}

function closeMenu() {
	var objMenu = document.getElementById("emMenu")
	if (objMenu != null) {
		objMenu.style.visibility = "hidden";
		objMenu.innerHTML = "";
	}
}

